Package org.apache.sysds.runtime.ooc.cache.io

# Class OOCIOHandler.GroupSourceBlockDescriptor

java.lang.Object
org.apache.sysds.runtime.ooc.cache.io.OOCIOHandler.SourceBlockDescriptor
org.apache.sysds.runtime.ooc.cache.io.OOCIOHandler.GroupSourceBlockDescriptor

Enclosing interface:
  OOCIOHandler

public static class OOCIOHandler.GroupSourceBlockDescriptor extends OOCIOHandler.SourceBlockDescriptor

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<OOCIOHandler.SourceBlockDescriptor>`
`blocks`
`final int`
`count`

### Fields inherited from class org.apache.sysds.runtime.ooc.cache.io.OOCIOHandler.SourceBlockDescriptor

`format, indexes, offset, path, recordLength, serializedSize`

## Constructor Summary

Constructors
Constructor
Description
`GroupSourceBlockDescriptor(String path, Types.FileFormat format, MatrixIndexes indexes, long offset, int recordLength, long serializedSize, List<OOCIOHandler.SourceBlockDescriptor> blocks)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### blocks

public final List<OOCIOHandler.SourceBlockDescriptor> blocks

### count

public final int count

## Constructor Details

### GroupSourceBlockDescriptor

public GroupSourceBlockDescriptor(String path, Types.FileFormat format, MatrixIndexes indexes, long offset, int recordLength, long serializedSize, List<OOCIOHandler.SourceBlockDescriptor> blocks)